      CHARACTER*2 sat_2lc
      CHARACTER*7 yyyydoy
      CHARACTER*60 instfile
      LOGICAL success

      yyyydoy= '1991101'
      sat_2lc= 'm3'

      OPEN(1, file='tester.out',form='formatted')

  100 continue

      WRITE(1,'(A7)') yyyydoy
      CALL ld_instdata(sat_2lc, yyyydoy, success)
        IF(.NOT.success) WRITE(1,*)' --No data'


      IF(yyyydoy .EQ. '1995001') GOTO 200
      CALL yyyydoy_inc(yyyydoy)
      GOTO 100

  200 CONTINUE
      CLOSE(1)
      STOP
      END
      
